Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/HeuristicLab.Problems.Robocode-3.3.csproj
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/HeuristicLab.Problems.Robocode-3.3.csproj	(revision 13017)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/HeuristicLab.Problems.Robocode-3.3.csproj	(revision 13018)
@@ -83,13 +83,11 @@
     <Reference Include="System" />
     <Reference Include="System.Core" />
-    <Reference Include="System.Drawing" />
-    <Reference Include="System.Windows.Forms" />
-    <Reference Include="System.Xml.Linq" />
-    <Reference Include="System.Data.DataSetExtensions" />
-    <Reference Include="Microsoft.CSharp" />
-    <Reference Include="System.Data" />
-    <Reference Include="System.Xml" />
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Symbols\CodeSymbol.cs" />
+    <Compile Include="Symbols\Number.cs" />
+    <Compile Include="Symbols\NumberTreeNode.cs" />
+    <Compile Include="Symbols\ShotPower.cs" />
+    <Compile Include="Symbols\ShotPowerTreeNode.cs" />
     <None Include="BattleObserver.class">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
@@ -106,27 +104,13 @@
     <None Include="Properties\AssemblyInfo.cs.frame" />
     <Compile Include="Solution.cs" />
-    <Compile Include="Symbols\CodeNode.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="Symbols\Logical Expressions\BooleanTreeNode.cs" />
-    <Compile Include="Symbols\Logical Expressions\BooleanValue.cs" />
-    <Compile Include="Symbols\Numerical Expressions\NumberTreeNode.cs" />
-    <Compile Include="Symbols\Numerical Expressions\Number.cs" />
+    <Compile Include="Symbols\BooleanTreeNode.cs" />
+    <Compile Include="Symbols\BooleanValue.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="Symbols\Numerical Expressions\ShotPower.cs" />
-    <Compile Include="Symbols\Numerical Expressions\ShotPowerTreeNode.cs" />
   </ItemGroup>
   <ItemGroup>
     <Content Include="BattleRunner.java" />
   </ItemGroup>
-  <ItemGroup>
-    <Folder Include="Symbols\Event Methods\Events\" />
-    <Folder Include="Symbols\Logical Expressions\Logical Comparators\" />
-    <Folder Include="Symbols\Numerical Expressions\Numerical Operators\" />
-    <Folder Include="Symbols\Numerical Methods\" />
-    <Folder Include="Symbols\Statements\" />
-    <Folder Include="Symbols\Void Methods\" />
-  </ItemGroup>
+  <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs	(revision 13017)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs	(revision 13018)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Collections.Generic;
 using System.Diagnostics;
 using System.Diagnostics.Contracts;
@@ -28,5 +27,4 @@
 using System.Linq;
 using System.Reflection;
-using System.Runtime.Remoting.Messaging;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/BooleanTreeNode.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/BooleanTreeNode.cs	(revision 13018)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/BooleanTreeNode.cs	(revision 13018)
@@ -0,0 +1,64 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
+  [StorableClass]
+  public class BooleanTreeNode : SymbolicExpressionTreeTerminalNode {
+    private bool value;
+    [Storable]
+    public bool Value {
+      get { return value; }
+      private set { this.value = value; }
+    }
+
+    [StorableConstructor]
+    protected BooleanTreeNode(bool deserializing) : base(deserializing) { }
+    protected BooleanTreeNode(BooleanTreeNode original, Cloner cloner)
+      : base(original, cloner) {
+      value = original.value;
+    }
+
+    public BooleanTreeNode(BooleanValue boolValueSy) : base(boolValueSy) { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new BooleanTreeNode(this, cloner);
+    }
+
+    public override bool HasLocalParameters {
+      get { return true; }
+    }
+
+    public override void ResetLocalParameters(IRandom random) {
+      // initialization
+      value = random.NextDouble() > 0.5;
+    }
+
+    public override void ShakeLocalParameters(IRandom random, double shakingFactor) {
+      // mutation: flip value with 5% probability
+      if (random.NextDouble() < 0.05) value = !value;
+    }
+  }
+}
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/BooleanValue.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/BooleanValue.cs	(revision 13018)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/BooleanValue.cs	(revision 13018)
@@ -0,0 +1,47 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
+  [StorableClass]
+  public class BooleanValue : Symbol {
+    public override int MinimumArity { get { return 0; } }
+    public override int MaximumArity { get { return 0; } }
+
+    [StorableConstructor]
+    protected BooleanValue(bool deserializing) : base(deserializing) { }
+    protected BooleanValue(BooleanValue original, Cloner cloner) : base(original, cloner) { }
+
+    public BooleanValue() : base("BooleanValue", "A Boolean value.") { }
+
+    public override ISymbolicExpressionTreeNode CreateTreeNode() {
+      return new BooleanTreeNode(this);
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new BooleanValue(this, cloner);
+    }
+  }
+}
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/CodeNode.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/CodeNode.cs	(revision 13017)
+++ 	(revision )
@@ -1,57 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Collections.Generic;
-using HeuristicLab.Common;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
-  // a symbol that can represent any user-defined fragment of code
-  public sealed class CodeSymbol : Symbol {
-    public override int MinimumArity { get { return 1; } }
-    public override int MaximumArity { get { return 10; } }
-
-    public string Prefix { get; set; }
-    public string Suffix { get; set; }
-
-    public override bool CanChangeName { get { return false; } } // cannot change, otherwise we cannot detect these symbols in the interpreter
-    public override bool CanChangeDescription { get { return false; } }
-
-    [StorableConstructor]
-    private CodeSymbol(bool deserializing) : base(deserializing) { }
-    private CodeSymbol(CodeSymbol original, Cloner cloner)
-      : base(original, cloner) {
-      Prefix = original.Prefix;
-      Suffix = original.Suffix;
-    }
-    public CodeSymbol()
-      : base("CodeSymbol", "The CodeSymbol symbol can represent any user-defined fragment of code.") {
-      Prefix = string.Empty;
-      Suffix = string.Empty;
-    }
-
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new CodeSymbol(this, cloner);
-    }
-  }
-}
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/CodeSymbol.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/CodeSymbol.cs	(revision 13018)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/CodeSymbol.cs	(revision 13018)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
+  [StorableClass]
+  // a symbol that can represent any user-defined fragment of code
+  public sealed class CodeSymbol : Symbol {
+    public override int MinimumArity { get { return 1; } }
+    public override int MaximumArity { get { return 10; } }
+
+    public string Prefix { get; set; }
+    public string Suffix { get; set; }
+
+    public override bool CanChangeName { get { return false; } } // cannot change, otherwise we cannot detect these symbols in the interpreter
+    public override bool CanChangeDescription { get { return false; } }
+
+    [StorableConstructor]
+    private CodeSymbol(bool deserializing) : base(deserializing) { }
+    private CodeSymbol(CodeSymbol original, Cloner cloner)
+      : base(original, cloner) {
+      Prefix = original.Prefix;
+      Suffix = original.Suffix;
+    }
+    public CodeSymbol()
+      : base("CodeSymbol", "The CodeSymbol symbol can represent any user-defined fragment of code.") {
+      Prefix = string.Empty;
+      Suffix = string.Empty;
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new CodeSymbol(this, cloner);
+    }
+  }
+}
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Number.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Number.cs	(revision 13018)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Number.cs	(revision 13018)
@@ -0,0 +1,48 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Globalization;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
+  [StorableClass]
+  public class Number : Symbol {
+    public override int MinimumArity { get { return 0; } }
+    public override int MaximumArity { get { return 0; } }
+
+    [StorableConstructor]
+    protected Number(bool deserializing) : base(deserializing) { }
+    protected Number(Number original, Cloner cloner) : base(original, cloner) { }
+
+    public Number() : base("Number", "A number.") { }
+
+    public override ISymbolicExpressionTreeNode CreateTreeNode() {
+      return new NumberTreeNode(this);
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new Number(this, cloner);
+    }
+  }
+}
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/NumberTreeNode.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/NumberTreeNode.cs	(revision 13018)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/NumberTreeNode.cs	(revision 13018)
@@ -0,0 +1,66 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
+  [StorableClass]
+  public class NumberTreeNode : SymbolicExpressionTreeTerminalNode {
+    private int value;
+    [Storable]
+    public int Value {
+      get { return value; }
+      private set { this.value = value; }
+    }
+
+    [StorableConstructor]
+    protected NumberTreeNode(bool deserializing) : base(deserializing) { }
+    protected NumberTreeNode(NumberTreeNode original, Cloner cloner)
+      : base(original, cloner) {
+      this.value = original.value;
+    }
+
+    public NumberTreeNode(Number numberSy) : base(numberSy) { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new NumberTreeNode(this, cloner);
+    }
+
+    public override bool HasLocalParameters {
+      get { return true; }
+    }
+
+    public override void ResetLocalParameters(IRandom random) {
+      // random initialization
+      value = random.Next(-360, 360);
+    }
+
+    public override void ShakeLocalParameters(IRandom random, double shakingFactor) {
+      // random mutation (cyclic)
+      value = value + random.Next(-20, 20);
+      if (value < -360) value += 2 * 360;
+      else if (value > 359) value -= 2 * 360;
+    }
+  }
+}
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/ShotPower.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/ShotPower.cs	(revision 13018)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/ShotPower.cs	(revision 13018)
@@ -0,0 +1,48 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Globalization;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
+  [StorableClass]
+  public class ShotPower : Symbol {
+    public override int MinimumArity { get { return 0; } }
+    public override int MaximumArity { get { return 0; } }
+
+    [StorableConstructor]
+    protected ShotPower(bool deserializing) : base(deserializing) { }
+    protected ShotPower(ShotPower original, Cloner cloner) : base(original, cloner) { }
+
+    public ShotPower() : base("ShotPower", "The power of a shot between 0.1 and 3.") { }
+
+    public override ISymbolicExpressionTreeNode CreateTreeNode() {
+      return new ShotPowerTreeNode(this);
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ShotPower(this, cloner);
+    }
+  }
+}
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/ShotPowerTreeNode.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/ShotPowerTreeNode.cs	(revision 13018)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/ShotPowerTreeNode.cs	(revision 13018)
@@ -0,0 +1,66 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
+  [StorableClass]
+  public class ShotPowerTreeNode : SymbolicExpressionTreeTerminalNode {
+    private double value;
+    [Storable]
+    public double Value {
+      get { return value; }
+      private set { this.value = value; }
+    }
+
+    [StorableConstructor]
+    protected ShotPowerTreeNode(bool deserializing) : base(deserializing) { }
+    protected ShotPowerTreeNode(ShotPowerTreeNode original, Cloner cloner)
+      : base(original, cloner) {
+      this.value = original.value;
+    }
+
+    public ShotPowerTreeNode(ShotPower powerSy) : base(powerSy) { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ShotPowerTreeNode(this, cloner);
+    }
+
+    public override bool HasLocalParameters {
+      get { return true; }
+    }
+
+    public override void ResetLocalParameters(IRandom random) {
+      // random initialization
+      value = Math.Max(0.1, random.NextDouble() * 3);
+    }
+
+    public override void ShakeLocalParameters(IRandom random, double shakingFactor) {
+      // mutation
+      var d = random.NextDouble() * 2.0 - 1.0;
+      value = Math.Max(0.1, value + shakingFactor * d);
+    }
+  }
+}