Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/2D/BinUtilizationRectangularIdenticalBinEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/2D/BinUtilizationRectangularIdenticalBinEvaluator.cs	(revision 13020)
+++ 	(revision )
@@ -1,52 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.PackingBin;
-using HeuristicLab.Problems.BinPacking.PackingItem;
-
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
-  [Item("Bin-Utilization Rectangular Identical-Bin Evaluator", "<Description missing> Found in Lee:2010")]
-  [StorableClass]
-  public class BinUtilizationRectangularIdenticalBinEvaluator : BinUtilizationRegularIdenticalBinEvaluator<TwoDimensionalPacking, RectangularPackingBin, RectangularPackingItem> {
-
-    [StorableConstructor]
-    protected BinUtilizationRectangularIdenticalBinEvaluator(bool deserializing) : base(deserializing) { }
-    protected BinUtilizationRectangularIdenticalBinEvaluator(BinUtilizationRectangularIdenticalBinEvaluator original, Cloner cloner)
-      : base(original, cloner) {
-    }
-    public BinUtilizationRectangularIdenticalBinEvaluator() : base() { }
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new BinUtilizationRectangularIdenticalBinEvaluator(this, cloner);
-    }
-  }
-}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/3D/BinUtilizationCuboiddenticalBinEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/3D/BinUtilizationCuboiddenticalBinEvaluator.cs	(revision 13020)
+++ 	(revision )
@@ -1,52 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.PackingBin;
-using HeuristicLab.Problems.BinPacking.PackingItem;
-
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
-  [Item("Bin-Utilization Cuboid Identical-Bin Evaluator", "<Description missing> Found in Lee:2010")]
-  [StorableClass]
-  public class BinUtilizationCuboidIdenticalBinEvaluator : BinUtilizationRegularIdenticalBinEvaluator<ThreeDimensionalPacking, CuboidPackingBin, CuboidPackingItem> {
-
-    [StorableConstructor]
-    protected BinUtilizationCuboidIdenticalBinEvaluator(bool deserializing) : base(deserializing) { }
-    protected BinUtilizationCuboidIdenticalBinEvaluator(BinUtilizationCuboidIdenticalBinEvaluator original, Cloner cloner)
-      : base(original, cloner) {
-    }
-    public BinUtilizationCuboidIdenticalBinEvaluator() : base() { }
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new BinUtilizationCuboidIdenticalBinEvaluator(this, cloner);
-    }
-  }
-}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 13020)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 13021)
@@ -153,4 +153,5 @@
     <Reference Include="System" />
     <Reference Include="System.Core" />
+    <Reference Include="System.Drawing" />
     <Reference Include="System.Windows.Forms" />
   </ItemGroup>
@@ -271,7 +272,4 @@
     <Compile Include="Evaluators\Abstract\PackingPlanEvaluator.cs" />
     <Compile Include="Instances\BPPData.cs" />
-    <Compile Include="Instances\BPPInstanceProvider.cs">
-      <SubType>Code</SubType>
-    </Compile>
     <Compile Include="Instances\BPPORLIBParser.cs" />
     <Compile Include="Instances\BPPORLIBDataDescriptor.cs" />
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/MoveEvaluators/GroupingVectorMoveEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/MoveEvaluators/GroupingVectorMoveEvaluator.cs	(revision 13020)
+++ 	(revision )
@@ -1,82 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
-using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
-using HeuristicLab.Optimization;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Decoders;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.Evaluators;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.PackingBin;
-using HeuristicLab.Problems.BinPacking.PackingItem;
-
-namespace HeuristicLab.Problems.BinPacking {
-  [Item("Grouping Vector MoveEvaluator", "Base class for evaluating packing moves.")]
-  [StorableClass]
-  public class GroupingVectorMoveEvaluator : PackingMoveEvaluator<ThreeDimensionalPacking, CuboidPackingBin, CuboidPackingItem>, ISingleObjectiveMoveEvaluator, IGroupingVectorMoveOperator{
-    public ILookupParameter<SingleGroupingMove> SingleGroupingMoveParameter {
-      get { return (ILookupParameter<SingleGroupingMove>)Parameters["SingleGroupingMove"]; }  
-    }                
-    public ILookupParameter<GroupingVectorEncoding> GroupingVectorParameter {
-      get { return (ILookupParameter<GroupingVectorEncoding>)Parameters["GroupingVector"]; }
-    }
-
-    [StorableConstructor]
-    protected GroupingVectorMoveEvaluator(bool deserializing) : base(deserializing) { }
-    protected GroupingVectorMoveEvaluator(GroupingVectorMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
-    public GroupingVectorMoveEvaluator()
-      : base() {
-      Parameters.Add(new LookupParameter<SingleGroupingMove>("SingleGroupingMove", "The move to evaluate."));
-      Parameters.Add(new LookupParameter<GroupingVectorEncoding>("GroupingVector", "The solution to evaluate."));
-    }
-
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new GroupingVectorMoveEvaluator(this, cloner);
-    }
-
-    public override IOperation Apply() {
-      GroupingVectorEncoding groupingVector = GroupingVectorParameter.ActualValue;
-      SingleGroupingMove move = SingleGroupingMoveParameter.ActualValue;
-
-      GroupingVectorEncoding newSolution = new GroupingVectorEncoding();
-      newSolution.GroupingVector = new IntegerVector (groupingVector.GroupingVector);
-      newSolution.GroupingVector[move.Index] = move.NewGroup;
-
-      var packingPlan = ExtremePointGroupingVectorDecoder3D.Decode(newSolution, PackingBinMeasuresParameter.ActualValue, PackingItemMeasuresParameter.ActualValue);
-      CurrentScopeParameter.ActualValue.Variables.Add(new Variable("PackingPlanAfterMove", packingPlan));
-
-      DoubleValue quality = PackingRatioRegularIdenticalBinEvaluator<ThreeDimensionalPacking, CuboidPackingBin, CuboidPackingItem>.CalculatePackingRatio(
-        packingPlan, PackingBinMeasuresParameter.ActualValue, PackingItemMeasuresParameter.ActualValue);
-
-      double moveQuality = quality.Value;
-
-      if (MoveQualityParameter.ActualValue == null) MoveQualityParameter.ActualValue = new DoubleValue(moveQuality);
-      else MoveQualityParameter.ActualValue.Value = moveQuality;
-      return base.Apply();
-    }
-  }
-}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/MoveEvaluators/MultiComponentVectorMoveEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/MoveEvaluators/MultiComponentVectorMoveEvaluator.cs	(revision 13020)
+++ 	(revision )
@@ -1,82 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
-using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
-using HeuristicLab.Optimization;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Decoders;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.Evaluators;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.PackingBin;
-using HeuristicLab.Problems.BinPacking.PackingItem;
-
-namespace HeuristicLab.Problems.BinPacking {
-  [Item("Multi Component Vector MoveEvaluator", "Base class for evaluating packing moves.")]
-  [StorableClass]
-  public class MultiComponentVectorMoveEvaluator : PackingMoveEvaluator<ThreeDimensionalPacking, CuboidPackingBin, CuboidPackingItem>, ISingleObjectiveMoveEvaluator, IMultiComponentVectorMoveOperator{
-    public ILookupParameter<IPackingMove> MultiComponentVectorMoveParameter {
-      get { return (ILookupParameter<IPackingMove>)Parameters["PackingMove"]; }  
-    }                
-    public ILookupParameter<MultiComponentVectorEncoding> MultiComponentVectorParameter {
-      get { return (ILookupParameter<MultiComponentVectorEncoding>)Parameters["MultiComponentVector"]; }
-    }
-
-    [StorableConstructor]
-    protected MultiComponentVectorMoveEvaluator(bool deserializing) : base(deserializing) { }
-    protected MultiComponentVectorMoveEvaluator(MultiComponentVectorMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
-    public MultiComponentVectorMoveEvaluator()
-      : base() {
-        //Parameters.Add(new LookupParameter<IPackingMove>("PackingMove", "The move to evaluate."));
-      Parameters.Add(new LookupParameter<MultiComponentVectorEncoding>("MultiComponentVector", "The solution to evaluate."));
-    }
-
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new MultiComponentVectorMoveEvaluator(this, cloner);
-    }
-
-    public override IOperation Apply() {
-      //MultiComponentVectorEncoding MultiComponentVector = MultiComponentVectorParameter.ActualValue;
-      //MultiComponentVectorMove move = MultiComponentVectorMoveParameter.ActualValue as MultiComponentVectorMove;
-
-      //MultiComponentVectorEncoding newSolution = new MultiComponentVectorEncoding();
-      //newSolution = move.GetSolutionAfterMove() as MultiComponentVectorEncoding;
-      //CurrentScopeParameter.ActualValue.Variables.Add(new Variable("MovedSolution", newSolution));
-
-      //var packingPlan = ExtremePointMultiComponentVectorDecoder3D.Decode(newSolution, PackingBinMeasuresParameter.ActualValue, PackingItemMeasuresParameter.ActualValue);
-      //CurrentScopeParameter.ActualValue.Variables.Add(new Variable("PackingPlanAfterMove", packingPlan));
-
-      //DoubleValue quality = PackingRatioRegularIdenticalBinEvaluator<ThreeDimensionalPacking, CuboidPackingBin, CuboidPackingItem>.CalculatePackingRatio(
-      //  packingPlan, PackingBinMeasuresParameter.ActualValue, PackingItemMeasuresParameter.ActualValue);
-
-      //double moveQuality = quality.Value;
-
-      //if (MoveQualityParameter.ActualValue == null) MoveQualityParameter.ActualValue = new DoubleValue(moveQuality);
-      //else MoveQualityParameter.ActualValue.Value = moveQuality;
-      return base.Apply();
-    }
-  }
-}