Index: branches/HeuristicLab.BinPacking/HeuristicLab.BinPacking.sln
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.BinPacking.sln	(revision 13022)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.BinPacking.sln	(revision 13023)
@@ -27,6 +27,6 @@
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|x64.ActiveCfg = Debug|x64
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Debug|x64.Build.0 = Debug|x64
@@ -35,6 +35,6 @@
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|Any CPU.Build.0 = Release|Any CPU
-		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|Mixed Platforms.Build.0 = Release|x86
+		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|Mixed Platforms.Build.0 = Release|Any CPU
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|x64.ActiveCfg = Release|x64
 		{F8A55094-3CD5-4034-B0CA-5BD7FFB016D4}.Release|x64.Build.0 = Release|x64
@@ -43,6 +43,6 @@
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|x64.ActiveCfg = Debug|x64
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Debug|x64.Build.0 = Debug|x64
@@ -51,6 +51,6 @@
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|Any CPU.Build.0 = Release|Any CPU
-		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|Mixed Platforms.Build.0 = Release|x86
+		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|Mixed Platforms.Build.0 = Release|Any CPU
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|x64.ActiveCfg = Release|x64
 		{78763A4E-E163-48C2-98EB-709760D06F25}.Release|x64.Build.0 = Release|x64
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.Views/3.3/HeuristicLab.Problems.BinPacking.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.Views/3.3/HeuristicLab.Problems.BinPacking.Views-3.3.csproj	(revision 13022)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.Views/3.3/HeuristicLab.Problems.BinPacking.Views-3.3.csproj	(revision 13023)
@@ -151,52 +151,12 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Problems\CuboidIdenticalBinPackingProblemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
+    <None Include="HeuristicLab.snk" />
+    <Compile Include="Problems\CuboidIdenticalBinPackingProblemView.cs" />
     <Compile Include="Problems\CuboidIdenticalBinPackingProblemView.Designer.cs">
       <DependentUpon>CuboidIdenticalBinPackingProblemView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Problems\RectangularIdenticalBinPackingProblemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
+    <Compile Include="Problems\RectangularIdenticalBinPackingProblemView.cs" />
     <Compile Include="Problems\RectangularIdenticalBinPackingProblemView.Designer.cs">
       <DependentUpon>RectangularIdenticalBinPackingProblemView.cs</DependentUpon>
-    </Compile>
-    <None Include="HeuristicLab.snk" />
-    <Compile Include="PackingPlans\PackingPlan2DView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="PackingPlans\PackingPlan2DView.Designer.cs">
-      <DependentUpon>PackingPlan2DView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Shapes\CuboidPackingItemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Shapes\CuboidPackingItemView.Designer.cs">
-      <DependentUpon>CuboidPackingItemView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Shapes\RectangularPackingItemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Shapes\RectangularPackingItemView.Designer.cs">
-      <DependentUpon>RectangularPackingItemView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Shapes\CuboidPackingShapeView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Shapes\CuboidPackingShapeView.Designer.cs">
-      <DependentUpon>CuboidPackingShapeView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Shapes\RectangularPackingShapeView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Shapes\RectangularPackingShapeView.Designer.cs">
-      <DependentUpon>RectangularPackingShapeView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="PackingPlans\PackingPlan3DView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="PackingPlans\PackingPlan3DView.Designer.cs">
-      <DependentUpon>PackingPlan3DView.cs</DependentUpon>
     </Compile>
     <Compile Include="Plugin.cs" />
@@ -213,25 +173,11 @@
   </ItemGroup>
   <ItemGroup>
-    <EmbeddedResource Include="PackingPlans\PackingPlan2DView.resx">
-      <DependentUpon>PackingPlan2DView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Shapes\CuboidPackingItemView.resx">
-      <DependentUpon>CuboidPackingItemView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Shapes\RectangularPackingItemView.resx">
-      <DependentUpon>RectangularPackingItemView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Shapes\CuboidPackingShapeView.resx">
-      <DependentUpon>CuboidPackingShapeView.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Problems\RectangularIdenticalBinPackingProblemView.resx">
       <DependentUpon>RectangularIdenticalBinPackingProblemView.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Shapes\RectangularPackingShapeView.resx">
-      <DependentUpon>RectangularPackingShapeView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="PackingPlans\PackingPlan3DView.resx">
-      <DependentUpon>PackingPlan3DView.cs</DependentUpon>
-    </EmbeddedResource>
+  </ItemGroup>
+  <ItemGroup>
+    <Folder Include="PackingPlans\" />
+    <Folder Include="Shapes\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPInstanceProvider.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPInstanceProvider.cs	(revision 13022)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPInstanceProvider.cs	(revision 13023)
@@ -26,5 +26,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using ICSharpCode.SharpZipLib.Zip;
 
 namespace HeuristicLab.Problems.Instances.BinPacking {