Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/CenteredContainer2D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/CenteredContainer2D.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/CenteredContainer2D.cs	(revision 13032)
@@ -1,8 +1,26 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using SharpDX;
-using SharpDX.DirectWrite;
+
 
 namespace PackingPlanVisualizations {
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/PackingPlan2D.Designer.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/PackingPlan2D.Designer.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/PackingPlan2D.Designer.cs	(revision 13032)
@@ -1,3 +1,24 @@
-﻿namespace PackingPlanVisualizations {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace PackingPlanVisualizations {
   partial class PackingPlan2D {
     /// <summary>
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/PackingPlan2D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/PackingPlan2D.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/2D/PackingPlan2D.cs	(revision 13032)
@@ -1,18 +1,31 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using SharpDX.Direct3D;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using SharpDX.Direct2D1;
 using Factory2D1 = SharpDX.Direct2D1.Factory;
 using FactoryType2D1 = SharpDX.Direct2D1.FactoryType;
-using System.Text;
 using System.Windows.Forms;
 using SharpDX.DXGI;
 using SharpDX;
 using Colors = SharpDX.Color;
-using SharpDX.Windows;
-using System.Globalization;
 using SharpDX.DirectWrite;
 
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/BasicCuboidShape.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/BasicCuboidShape.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/BasicCuboidShape.cs	(revision 13032)
@@ -1,4 +1,23 @@
-﻿using System;
-using System.Collections.Generic;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
 using SharpDX;
 using SharpDX.Toolkit.Graphics;
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/CenteredContainer.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/CenteredContainer.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/CenteredContainer.cs	(revision 13032)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using SharpDX;
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/CuboidShapePreperations.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/CuboidShapePreperations.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/CuboidShapePreperations.cs	(revision 13032)
@@ -1,6 +1,23 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
 using SharpDX;
 
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingGame.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingGame.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingGame.cs	(revision 13032)
@@ -1,8 +1,28 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using SharpDX;
 using SharpDX.Toolkit;     
 using SharpDX.Toolkit.Graphics;
 using SharpDX.Toolkit.Input;
-using System.Windows.Forms;  
 
 using ButtonStateDX = SharpDX.Toolkit.Input.ButtonState;
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingPlan3D.Designer.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingPlan3D.Designer.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingPlan3D.Designer.cs	(revision 13032)
@@ -1,3 +1,24 @@
-﻿namespace PackingPlanVisualizations {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace PackingPlanVisualizations {
   partial class PackingPlan3D {
     /// <summary>
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingPlan3D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingPlan3D.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/PackingPlan3D.cs	(revision 13032)
@@ -1,9 +1,26 @@
-﻿using System;
-using System.Diagnostics;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Windows.Forms;
-using SharpDX;
-using SharpDX.Toolkit;
 using System.Threading;
-using System.Collections.Generic;
 
 
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/VertexPositionColorNormal.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/VertexPositionColorNormal.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/3D/VertexPositionColorNormal.cs	(revision 13032)
@@ -1,6 +1,24 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using SharpDX;
 using SharpDX.Toolkit.Graphics;
Index: branches/HeuristicLab.BinPacking/PackingPlanVisualizations/Properties/AssemblyInfo.cs
===================================================================
--- branches/HeuristicLab.BinPacking/PackingPlanVisualizations/Properties/AssemblyInfo.cs	(revision 13029)
+++ branches/HeuristicLab.BinPacking/PackingPlanVisualizations/Properties/AssemblyInfo.cs	(revision 13032)
@@ -1,4 +1,24 @@
-﻿using System.Reflection;
-using System.Runtime.CompilerServices;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.InteropServices;
 
@@ -11,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("PackingPlanVisualizations")]
-[assembly: AssemblyCopyright("Copyright ©  2013")]
+[assembly: AssemblyCopyright("2013-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]